Subject: Re: IP-less bridge as a martian source

From: Jarek Poplawski <[email-masked]>
Date: Wed, 22 Oct 2008 21:10:27 +0200

Jarek Poplawski wrote, On 10/22/2008 07:22 PM:

> Ferenc Wagner wrote, On 10/22/2008 05:00 PM:
> 
>> Ferenc Wagner <[email-masked]> writes:
>>
>>> I expected an IP-less bridge interface to pick up no IP packets, but
>>> apparently this isn't the case: broadcast packets with destination
>>> address 255.255.255.255 are reported as martians by the 2.6.18
>>> kernel, which I find counterintuitive (I know 2.6.18 is rather old,
>>> but that's the one supported by Xen).
>>>
>>>   1. Is this the expected behaviour?
> 
> 
> I think so, and this thread pertains to something similar:
> http://marc.info/?l=linux-netdev&m=122456602708727&w=2

Sorry! I didn't check this before writing. This:

1941 static int ip_route_input_slow(struct sk_buff *skb, __be32 daddr, __be32 saddr,
1942                                u8 tos, struct net_device *dev)
1943 {
...
1963         /* IP on this device is disabled. */
1964
1965         if (!in_dev)
1966                 goto out;
1967
1968         /* Check for the most weird martians, which can be not detected
1969            by fib_lookup.
1970          */

means something else, so with IP disabled you shouldn't have any martians!
(And this is old code.)

Jarek P.